# Class TopcatSsapTableLoadDialog

java.lang.Object
uk.ac.starlink.table.gui.AbstractTableLoadDialog
uk.ac.starlink.vo.RegistryServiceTableLoadDialog
uk.ac.starlink.vo.DalTableLoadDialog
uk.ac.starlink.vo.SkyDalTableLoadDialog
uk.ac.starlink.vo.SsapTableLoadDialog
uk.ac.starlink.topcat.TopcatSsapTableLoadDialog

All Implemented Interfaces:
  `uk.ac.starlink.table.gui.TableLoadDialog, uk.ac.starlink.vo.DalLoader`

public class TopcatSsapTableLoadDialog extends uk.ac.starlink.vo.SsapTableLoadDialog
SsapTableLoadDialog subclass customised for use with TOPCAT.

Since:
  16 Aug 2010
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`TopcatSsapTableLoadDialog()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`acceptResourceIdList(String[] ivoids, String msg)`
`boolean`
`acceptSkyPosition(double raDegrees, double decDegrees)`
`Component`
`createQueryComponent()`
`uk.ac.starlink.table.gui.TableLoader`
`createTableLoader()`

### Methods inherited from class uk.ac.starlink.vo.SsapTableLoadDialog

`getFormat, getFormatOptions, getFormatSelector, getSearchDiameter`

### Methods inherited from class uk.ac.starlink.vo.SkyDalTableLoadDialog

`getQuerySummary, getSkyEntry`

### Methods inherited from class uk.ac.starlink.vo.DalTableLoadDialog

`checkUrl, getCapabilities, getMetadata, getResourceMetadata, getServiceUrl, getServiceUrlBox, getServiceUrlField, isReady, setServiceUrl`

### Methods inherited from class uk.ac.starlink.vo.RegistryServiceTableLoadDialog

`getControlBox, getQueryFactory, getRegistryMenuItems, getRegistryPanel`

### Methods inherited from class uk.ac.starlink.table.gui.AbstractTableLoadDialog

`addToolbarAction, asIOException, configure, createFormatSelector, getDescription, getIcon, getMenus, getName, getQueryComponent, getSelectedFormat, getSubmitAction, getToolbarActions, isAvailable, isComponentShowing, setIcon, setIconUrl, setMenus, setToolbarActions, submit, updateReady`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.vo.DalLoader

`getMenus, getRegistryPanel, setMenus`

## Constructor Details

### TopcatSsapTableLoadDialog

public TopcatSsapTableLoadDialog()

## Method Details

### createQueryComponent

public Component createQueryComponent()

Overrides:
  `createQueryComponent` in class `uk.ac.starlink.vo.SsapTableLoadDialog`

### createTableLoader

public uk.ac.starlink.table.gui.TableLoader createTableLoader()

Specified by:
  `createTableLoader` in interface `uk.ac.starlink.table.gui.TableLoadDialog`
Overrides:
  `createTableLoader` in class `uk.ac.starlink.vo.SsapTableLoadDialog`

### acceptResourceIdList

public boolean acceptResourceIdList(String[] ivoids, String msg)

Specified by:
  `acceptResourceIdList` in interface `uk.ac.starlink.vo.DalLoader`
Overrides:
  `acceptResourceIdList` in class `uk.ac.starlink.vo.RegistryServiceTableLoadDialog`

### acceptSkyPosition

public boolean acceptSkyPosition(double raDegrees, double decDegrees)

Overrides:
  `acceptSkyPosition` in class `uk.ac.starlink.vo.SkyDalTableLoadDialog`